<?xml version="1.0" encoding="utf-8"?><!-- DWXMLSource="extensions.xml" --><!DOCTYPE xsl:stylesheet  [
	<!ENTITY nbsp   "&#160;">
	<!ENTITY copy   "&#169;">
	<!ENTITY reg    "&#174;">
	<!ENTITY trade  "&#8482;">
	<!ENTITY mdash  "&#8212;">
	<!ENTITY ldquo  "&#8220;">
	<!ENTITY rdquo  "&#8221;"> 
	<!ENTITY pound  "&#163;">
	<!ENTITY yen    "&#165;">
	<!ENTITY euro   "&#8364;">
]>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
<xsl:output method="html" encoding="utf-8" doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd"/>
<xsl:template match="/extensions">

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<title>MediaCoder Extensions</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<link rel="stylesheet" href="_css/style.css" />
<script language="JavaScript" src="_include/extension.js" type="text/javascript"></script>
<script langauge="javascript">
window.innerWidth = 700;
window.innerHeight = 360;

function OpenWindow(url, opt)
{
	window.open(url, "", opt);
}
</script>
</head>
<body>
<table width="100%" border="0">
<tr valign="top">
<td align="center" width="16%"><div><img src="_images/devnav-phone.png"/></div>
<xsl:call-template name="ListExtensions"><xsl:with-param name="node" select="category[@id='phone']"/></xsl:call-template></td>
<td align="center" width="16%"><div><img src="_images/devnav-pmp.png"/></div>
<xsl:call-template name="ListExtensions"><xsl:with-param name="node" select="category[@id='pmp']"/></xsl:call-template></td>
<td align="center" width="16%"><div><img src="_images/devnav-game.png"/></div>
<xsl:call-template name="ListExtensions"><xsl:with-param name="node" select="category[@id='game']"/></xsl:call-template></td>
<td align="center" width="16%"><div><img src="_images/devnav-pda.png"/></div>
<xsl:call-template name="ListExtensions"><xsl:with-param name="node" select="category[@id='pda']"/></xsl:call-template></td>
<td align="center" width="16%"><div><img src="_images/devnav-home.png"/></div>
<xsl:call-template name="ListExtensions"><xsl:with-param name="node" select="category[@id='home']"/></xsl:call-template></td>
<td align="center"><div><img src="_images/devnav-other.png"/></div>
<xsl:call-template name="ListExtensions"><xsl:with-param name="node" select="category[@id='other']"/></xsl:call-template>
<div style="font-weight:bold"><a href="javascript:OpenWindow('/prefs/main.xul','width=600,height=360,resizable=yes')">Preferences</a></div>
</td>
</tr>
</table>
<br/>
<iframe src="http://www.mediacoderhq.com/info/extlauncher.html" width="100%" height="80" scrolling="no" frameborder="0" marginwidth="0" marginheight="0"></iframe>
<h3 align="center"><a href="http://www.mcex.org" target="_blank">Visit MediaCoder Extension Center</a></h3>
</body>
</html>
</xsl:template>

<xsl:template name="ListExtensions">
	<xsl:param name="node"/>
	<xsl:choose>
	<xsl:when test="$node">
	<xsl:for-each select="$node/extension">
	<div><a><xsl:attribute name="href">
	<xsl:choose>
	<!--Load Binary Extension-->
	<xsl:when test="@plugin">javascript:SendCommand('load_plugin <xsl:value-of select="@plugin"/>');</xsl:when>
	<!--Load Script Extension-->
	<xsl:otherwise>javascript:OpenWindow('<xsl:value-of select="@id"/>/extension.xml','width=<xsl:value-of select="@width"/>,height=<xsl:value-of select="@height"/>,toolbar=no,location=no,directories=no,status=no,menubar=no,scrollbars=yes,copyhistory=no,resizable=<xsl:choose><xsl:when test="@resizable='true'">yes</xsl:when><xsl:otherwise>no</xsl:otherwise></xsl:choose>');</xsl:otherwise>
	</xsl:choose>

	</xsl:attribute>
	<span>
	<xsl:if test="@zipped"><xsl:attribute name="style">color:#000066</xsl:attribute></xsl:if>
	<xsl:value-of select="@name"/>
	</span></a></div>
	</xsl:for-each>
	</xsl:when>
	<xsl:otherwise><div>No extension<br/>available yet</div></xsl:otherwise>
	</xsl:choose>
</xsl:template>

</xsl:stylesheet>